Mac OS X : Java for Mac OS X 10.5 Update 5

high Nessus Plugin ID 40873
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 6.7

Synopsis

The remote host has a version of Java that is affected by multiple vulnerabilities.

Description

The remote Mac OS X host is running a version of Java for Mac OS X 10.5 that is missing Update 5.

The remote version of this software contains several security vulnerabilities, including some that may allow untrusted Java applets to obtain elevated privileges and lead to execution of arbitrary code with the privileges of the current user.

Solution

Upgrade to Java for Mac OS X 10.5 Update 5 or later.

See Also

http://support.apple.com/kb/HT3851

http://lists.apple.com/archives/security-announce/2009/Sep/msg00000.html

http://www.securityfocus.com/advisories/17819

Plugin Details

Severity: High

ID: 40873

File Name: macosx_java_10_5_update5.nasl

Version: 1.16

Type: local

Agent: macosx

Published: 9/3/2009

Updated: 7/14/2018

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: High

VPR Score: 6.7

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

Required KB Items: Host/MacOSX/packages

Exploit Ease: No known exploits are available

Patch Publication Date: 9/3/2009

Reference Information

CVE: CVE-2009-0217, CVE-2009-2205, CVE-2009-2475, CVE-2009-2476, CVE-2009-2625, CVE-2009-2670, CVE-2009-2671, CVE-2009-2672, CVE-2009-2673, CVE-2009-2674, CVE-2009-2675, CVE-2009-2689, CVE-2009-2690, CVE-2009-2722, CVE-2009-2723

BID: 35671, 35939, 35942, 35943, 35958

CWE: 264